=== debian/changelog ===
discover (2.1.2-10.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install binaries into /usr (Closes: #1061238)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 14 Jul 2024 15:34:03 +0200

discover (2.1.2-10) unstable; urgency=medium

  * Modernize packaging a little:
     - Switch from debhelper 8 to debhelper 13.
     - Delete CONFIGURE_PCMCIA support from debian/rules entirely
       (commented out for 15+ years).
     - Delete VERSION and ARCH variables from debian/rules (unused).
     - Switch from manual debian/rules to a dh-based one. Stick to an
       out-of-tree build (relocated from builddeb/ to build/ though,
       given udeb building is long gone), since in-tree building breaks.
     - Switch from dh_movefiles to dh_install (moving from debian/*.files
       to debian/*.install).
     - Make discover.install handle the move from /usr/bin/discover to
       /sbin/discover (instead of doing that manually from debian/rules).
     - Unhardcode individual header and documentation filenames from
       libdiscover-dev.install.
     - Unhardcode exact library version (use to the SONAME), and insert a
       wildcard for the multiarch directory in both libdiscover2.install
       and libdiscover-dev.install.
     - Disable test suite entirely for the time being (it wasn't run
       previously, and it seems broken anyway).
     - Configure dh_missing for the few files that aren't shipped.
     - Clean generated aclocal.m4 (via dh_clean).
  * This fixes the missing mandatory build-* targets (Closes: #999249).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 09 Jan 2022 08:48:08 +0100

discover (2.1.2-9) unstable; urgency=medium

  * Team upload.

  [ Petter Reinholdtsen ]
  * Add vcs links in control file.

  [ Samuel Thibault ]
  * control: Update vcs links to git salsa.
  * source/format: Set format to 1.0.
  * rules: Do not pass -g -O2 by hand.
  * rules: Take build flags from dpkg-buildflags.
  * Convert to 3.0 (quilt) format.
  * rules: Use dh_autoreconf.
  * discover.lintian-overrides: Add debconf warning override.

  [ Clint Adams ]
  * Use mktemp instead of tempfile (Closes: 992733).

  [ Nguyen Hoang Tung ]
  * Use dh_auto_configure instead of ./configure (Closes: #931153).

  [ Laurent Bigonville ]
  * debian/patches/usb.patch: Switch to libusb 1.0 (Closes: #810408).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Oct 2021 23:24:01 +0100

discover (2.1.2-8) unstable; urgency=high

  * Remove Gaudenz Steinlin and Otavio Salvador from Uploaders, with
    thanks for their past contributions (Closes: #848424, #847266).
  * Use correct type for the length parameter of the getline() call,
    thanks to Anatoly Borodin and Simon Quigley for writing and for
    forwarding the patch (Closes: #876388, LP: #1718687).
  * Restore -O2 optimization level, as switching to -O1 in the previous
    upload probably just happened to paper over this issue.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 14 Jan 2018 21:27:01 +0000

discover (2.1.2-7.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Gianfranco Costamagna ]
  * Build with -O1, for some reasons even a no-change
    rebuild of the existent code makes the program
    segfault on startup

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass --host to configure (Closes: #812667).

  [ Logan Rosen ]
  * Fix FTBFS on various archs: Use autotools-dev to update
    config.guess and config.sub. (Closes: #533688)

 -- Fernando Seiti Furusato <ferseiti@linux.vnet.ibm.com>  Wed, 30 Nov 2016 14:12:47 +0000

discover (2.1.2-7) unstable; urgency=medium

  * Ack NMUs 2.1.2-5.1 and 2.1.2-5.2 and merge them into subversion.
  * Correct usage information from config-script.  The correct option to
    obtain the list of valid variable names is --list-vars, not --list.
    Patch from Didier Raboud <odyx@debian.org> (Closes: 681994).
  * Change aptitude to apt-get in discover-pkginstall to avoid installer
    hang (Closes: #760144).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 01 Sep 2014 15:56:58 +0200

discover (2.1.2-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Slovak (Slavko).  Closes: #639445
    - Indonesian (Mahyuddin Susanto).  Closes: #654167
    - Polish (Michał Kułach).  Closes: #661250

 -- Christian Perrier <bubulle@debian.org>  Fri, 30 Mar 2012 06:50:54 +0200

discover (2.1.2-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621193).

 -- Luk Claes <luk@debian.org>  Tue, 28 Jun 2011 07:31:15 +0200

discover (2.1.2-6) experimental; urgency=low

  * Report the vendor id if an unknown vendor id causes discover to
    crash.
  * Get USB device detection working by using libusb to find them when
    /proc/bus/usb/devices do not exist.  Add build-depend on libusb-dev.
  * Update debhelper level from 4 to 8 to move to a supported debhelper
    level.  No changes needed.
  * Update to newer config.guess and config.sub to get rid of lintian
    warning (Closes: #533688).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 09 Jan 2013 13:37:30 +0100

discover (2.1.2-5) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add code in discover-pkginstall to not enable the tasksel progress
    bar if $DI_PROGRESS_BAR_VISIBLE is set, to avoid messing up the
    progress bar for pkgsel (Closes: 603021).  Patch from Joey Hess.

  * Debconf translations:
    - Added Danish by Joe Hansen (Closes: #592272).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 05 Dec 2010 13:43:14 +0100

discover (2.1.2-4) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Use debconf-apt-progress in discover-pkginstall if available, to
    get a progress bar when installing packages within d-i.
  * Drop obsolete packages libdiscover1-dev and discover1.
  * Change /sbin/discover to the dynamically linked version, as it
    is no longer used from the initrd.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 16 Apr 2010 00:14:21 +0200


