=== debian/rules ===
#!/usr/bin/make -f

# $Progeny$

# Copyright 2002 Hewlett-Packard Company
# Copyright 2000, 2001, 2002, 2004 Progeny Linux Systems, Inc.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.

CONFIGURE_FLAGS= \
		--prefix=/usr \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-default-url=file:///lib/discover/list.xml \
		--disable-curl

%:
	dh $@ -Bbuild

override_dh_autoreconf:
	cat buildtools/check.m4 \
		buildtools/config-script.m4 \
		/usr/share/aclocal/libtool.m4 \
		/usr/share/aclocal/ltoptions.m4 \
		/usr/share/aclocal/ltsugar.m4 \
		/usr/share/aclocal/ltversion.m4 \
		/usr/share/aclocal/lt~obsolete.m4 \
		buildtools/show-config.m4 \
		portability/replace-funcs.m4 > aclocal.m4
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

# FIXME: Spotted while moving from debhelper 8 to 13.
override_dh_auto_test:
	@echo "Test suite disabled (it was never enabled and doesn't pass)."
